INSTALL.txt 1.35 KB
Newer Older
1
# Thanks for using EASEA.
2 3 4


###Requirement
5 6 7 8
This project required you to have flex and bison installed:
```
$ sudo apt-get install flex bison
```
9 10 11 12 13 14 15 16 17 18
In order to have a working grapher, java jre 1.6 is required. Without it, an error appears at the start of easea's compiled programs but can be safely ignored.

EASEA had been compiled and tested with those following compilers:
* Gcc 4.4 to 4.8.2
* Clang 3.0 to 3.3
* Mingw-gcc 4.8.2
* CUDA SDK > 4.1


###Easea can be build using two method.
19

20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54
1)By GNU Makefile:
  $ make
  $ . install.sh [local]  

1)By CMake:
  $ cmake .
  $ make
  $ . install.sh [local] 

"." is equivalent to "source".

Easea can either be installed locally without special permission or in 
/usr/local/ with root permissions.

Once installed, one can test its installation by compiling easea test programs
in example/ :
$ cd example/weierstrass
$ easea weierstrass.ez
$ make 
$ ./weierstrass

To print all options available type:
$ ./weierstrass --help

To test the CUDA version (Need the CUDA developper kit found at
https://developer.nvidia.com/cuda-downloads ):
$ easea -cuda weierstrass.ez

For additional help and documentation about the EASEA platform, please refers 
to the main wiki http://easea.unistra.fr/

To get the latest version of EASEA, git clone the sourceforge repository:
git clone git://git.code.sf.net/p/easea/code easea-code

That's all !